---
title: Spack
keywords: spack, python, software, compile
summary: "Spack the HPC package manager documentation"
sidebar: merlin7_sidebar
toc: false
permalink: /merlin7/spack.html
---
![Work In Progress](/images/WIP/WIP1.webp){:style="display:block; margin-left:auto; margin-right:auto"}

{{site.data.alerts.warning}}The Merlin7 documentation is <b>Work In Progress</b>.
Please do not use or rely on this documentation until this becomes official.
This applies to any page under <b><a href="https://lsm-hpce.gitpages.psi.ch/merlin7/">https://lsm-hpce.gitpages.psi.ch/merlin7/</a></b>
{{site.data.alerts.end}}

For Merlin7 the *package manager for supercomputing* [Spack](https://spack.io/) is available. It is meant to compliment the existing PModules
solution, giving users the opertunity to manage their own software environments.

Documentation for how to use Spack on Merlin7 is provided [here](https://gitlab.psi.ch/lsm-hpce/spack-psi/-/blob/main/README.md).

## The Spack PSI packages

An initial collection of packages (and Spack reciepes) are located at <https://gitlab.psi.ch/lsm-hpce/spack-psi>, users can directly use these
through calls like `spack add ...`.
